"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSafelyForAutoCompleteWithProjection = exports.getSafelyForAutoComplete = exports.default = void 0;

var _q3UiHelpers = require("q3-ui-helpers");

var _getOptions = _interopRequireDefault(require("./getOptions"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _getOptions.default;
exports.default = _default;

const wrapAutoComplete = char => (...args) => e => {
  const [url, ...rest] = args;
  return (0, _getOptions.default)(`${url}${e ? `${char}search=${_q3UiHelpers.string.encode(e)}` : ''}`, ...rest);
};

const getSafelyForAutoComplete = wrapAutoComplete('?');
exports.getSafelyForAutoComplete = getSafelyForAutoComplete;
const getSafelyForAutoCompleteWithProjection = wrapAutoComplete('&');
exports.getSafelyForAutoCompleteWithProjection = getSafelyForAutoCompleteWithProjection;